* {
  font-size: medium;
  /* font-family: 'Nunito', sans-serif; */
  font-family: 'Inter';
  font-family: 'Poppins', sans-serif;
}

:root {
  --animation-reflection: below -81px linear-gradient(#100d1a57, #00000000);
}

.footer-logo {
  /* -webkit-box-reflect: var(--animation-reflection); */
}

.m-x {
  margin: 1.5rem;
}

.filterresponsive {
  display: flex;
}

.nav-box {
  flex-direction: column !important;
  padding-right: 1.5rem !important;
}

.otp-input {
  display: flex;
  justify-content: center;
  /* margin-bottom: 2rem; */
}

.otp-input input {
  width: 73px;
  height: 59px;
  margin: 0 8px;
  text-align: center;
  font-size: 1.5rem;
  border: 1px solid #DDDDDD;
  border-radius: 6px;
  background-color: #f3f3f3;
  color: black;
  transition: all 0.3s ease;
}

.otp-input input:focus {
  border-color: #06336A;
  /* box-shadow: 0 0 0 2px rgba(166, 86, 246, 0.3); */
  outline: none;
}

.otp-input input::-webkit-outer-spin-button,
.otp-input input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.otp-input input[type=number] {
  -moz-appearance: textfield;
}

/* button {
  background: linear-gradient(135deg, #6665F1, #A556F6);
  color: white;
  border: 2px solid #6665F1;
  padding: 12px 24px;
  font-size: 1rem;
  border-radius: 8px;
  cursor: pointer;
  margin: 5px;
  transition: all 0.3s ease;
  font-weight: 500;
  letter-spacing: 0.5px;
} */

.borderleft {
  border-left: 1px solid #dee2e6;
}

.navbar-nav-scroll {
  align-items: center;
}


.borderend {
  border-right: 1px solid #d9d9d9 !important;
}

.abt-store .card {
  width: 50%
}

#lap-view {
  display: flex;
}

#mobile-view {
  display: none
}

.cont-tou {
  font-size: 1.7rem;
}

.mobile-res-name,
.mob-res-lib {
  display: block;
}

@media only screen and (max-width: 534px) and (min-width:320px) {
  .each-testi img {
    height: 140px !important;
  }

  .mobile-res-name,
  .mob-res-lib {
    display: none;
  }

  .cont-tou {
    font-size: 1.2rem;
  }

  .mob-res-pro {
    text-align: -webkit-center;
  }

  #lap-view {
    display: none;
  }

  #mobile-view {
    display: block
  }

  .mob-pro {
    margin: 0px 10px !important;
  }
}

@media only screen and (max-width: 578px) and (min-width:320px) {

  * {
    font-size: small;
  }

  .otp-input input {
    width: 52px;
    height: 42px;
  }

  #lap-view {
    display: none;
  }

  .mob-pro {
    margin: 0px 10px !important;
  }

  #mobile-view {
    display: block
  }

  .borderend {
    border-right: unset !important
  }

  .abt-store .card {
    width: 90%
  }

  .mobile-res-name,
  .mob-res-lib {
    display: none;
  }

  .mob-res-pro {
    text-align: -webkit-center;
  }

  .m-x {
    margin: 1rem;
  }

  .filterresponsive {
    display: block !important;
  }

  .nav-box {
    flex-direction: unset !important;
    padding-right: 0;
    justify-content: space-around;
    align-items: baseline;
  }

  .filter-search-box {
    width: 100% !important;
  }

  .borderleft {
    border-left: unset;
  }

  .navbar-nav-scroll {
    align-items: normal;
  }

}

@media only screen and (max-width: 767px) and (min-width:579px) {

  #lap-view {
    display: none;
  }

  #mobile-view {
    display: block
  }

  .borderend {
    border-right: unset !important
  }

  .mob-pro {
    margin: 0px 10px !important;
  }

  .mobile-res-name,
  .mob-res-lib {
    display: none;
  }

  .abt-store .card {
    width: 70%
  }

  .m-x {
    margin: 1rem;
  }

  .filterresponsive {
    display: block !important;
  }

  .nav-box {
    flex-direction: unset !important;
    padding-right: 0 !important;
    justify-content: space-around;
    align-items: baseline;
  }

  .filter-search-box {
    width: 100% !important;
  }

  .mob-res-pro {
    text-align: -webkit-center;
  }

  .borderleft {
    border-left: unset;
  }

  .navbar-nav-scroll {
    align-items: normal;
  }

}

@media only screen and (max-width: 991px) and (min-width:768px) {

  #lap-view {
    display: none;
  }

  #mobile-view {
    display: block
  }

  .mob-pro {
    margin: 0px 10px !important;
  }

  .m-x {
    margin: 1.5rem;
  }

  .abt-store .card {
    width: 75%
  }

  .mobile-res-name {
    display: none;
  }

  .mob-res-pro {
    text-align: -webkit-center;
  }

  .filterresponsive {
    display: block !important;
  }

  .nav-box {
    flex-direction: unset !important;
    padding-right: 0 !important;
    justify-content: space-around;
    align-items: baseline;
  }

  .filter-search-box {
    width: 100% !important;
  }

  .borderleft {
    border-left: unset;
  }

  .navbar-nav-scroll {
    align-items: normal;
  }

}

p {
  margin-bottom: unset !important;
}

.text-colour-blue {
  color: #1F4566;
}

.sidenavw {
  max-width: 260px;
  min-width: 260px;
}

@media (min-width: 1px) and (max-width: 991.98px) {
  .sidebar {
    margin-left: -260px;
  }

  .sidenavw {
    max-width: 0px;
    min-width: 0px;
  }
}

.grid_responsive {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(149px, 1fr));
  column-gap: 7px;
}

#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  cursor: pointer;
}

.modal {
  display: none;
  background: rgba(0, 0, 0, 0.5);
  /* semi-transparent background */
}

.modal.fade.show {
  display: block;
  /* override Bootstrap's default */
}

text {
  color: #818181;
}

.form-select {
  border-radius: 3px;
  height: 40px;
  background-image: url('../image/icons/down.png');
  background-size: 11px;
}

.btn:active,
.btn.show {
  border-color: #18141f00 !important;
}

.book-img-res:hover {
  /* box-shadow: rgba(0, 0, 0, 0.16) 8px 6px 5px, rgba(0, 0, 0, 0.23) 7px 2px 6px; */
  transform: scale(1.1);
}

/* .responsive-grid .book-img-res:hover{
  transform: scale(1.1);
}

.responsive-grid:hover > .book-img-res:not(:hover){
  filter:blur(6px);
  transform: scale(0.9, 0.9);
} */

.color-grey {
  color: #494b4e;
}

.book-img-res {
  transition: transform 0.5s;
}

.overlay {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(240, 89, 7, 0.82);
  overflow: hidden;
  width: 100%;
  height: 100%;
  transition: .5s ease;
}

.logo {
  /* width: 75%; */
  /* height: 59px; */
  /* background: white;
    border-radius: 0 0px 15px 15px; */
  /* top: 23px; */
  /* position: relative; */
  /* margin: 0px; */
  /* top: -17px;
    padding-top: 17px; */
}

.sbg {
  background-image: url("../image/banner_bg/line.png"),
    url("../image/banner_bg/line.png") !important;
  background-position: left -85px bottom, right -15px top;
  background-repeat: no-repeat, no-repeat;
  background-size: 190px, 190px, auto
}

.form-select:focus {
  border-color: none !important;
  box-shadow: none !important;
  outline: 0;
}

a,
a:hover {
  text-decoration: none;
}

.sidebar-nav {
  background: #F9F9F9;
}

.bottom-border {
  border-bottom: solid 0.2px #D9D9D9;
}

.profile-img {
  background: #D9D9D9;
  width: 3em;
  height: 3em;
  border-radius: 50%;
}

.profile-img-nav {
  background: #D9D9D9;
  width: 3vw;
  height: 3vw;
  border-radius: 50%;
}

.Kenfolg {
  font-family: MADE Kenfolg v2;

}

.fs-40 {
  font-size: 40px;
}

.fs-80 {
  font-size: 80px;
}

.bg-silver {
  background: #D9D9D9;
}

.small.text-muted {
  display: none !important;
}

.img-res-size {
  min-height: 120px;
  max-height: 120px;
  min-width: 120px;
  max-width: 120px;
  object-fit: contain;
}

.smalltext {
  font-size: clamp(0.7rem, 0.6vw, 1rem);
}

.book-img-res,
.slider-book-img,
.carousel-book,
.mylib {
  min-width: 149px;
  max-width: 149px;
  max-height: 205px;
  min-height: 205px;
  /* border-radius:5px */
}

.book-details-img-res {
  /* width: 233px; */
  max-height: 320px;
  min-height: 320px;
  cursor: pointer;
  /* object-fit: cover; */
  object-position: top;
  border-radius: 6px
}

.pink-gradient {
  background: linear-gradient(180deg, #FFD2D2 0%, #FFFCEB 100%);

}

.w-95 {
  width: 95%;
}

.responsivetext {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.popupcardbtn {
  font-size: 6px;
  padding: 3px;
  width: -webkit-fill-available;
}

.book-popup {
  /* position: relative;
  width: 100%;
  max-width: 400px; */
}

.book_owl-carousel .owl-stage {
  height: 274px;
}

.box-shadow {
  background: #FFF;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
  padding: 6px 0px;
}

.textgrey {
  color: #7C7C7C;
}

.navbar-bg {
  background: #1F4566;
}

.sidebar-content {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.sidebar,
.sidebar-content {
  background: white;
  transition: margin-left .35s ease-in-out, left .35s ease-in-out, margin-right .35s ease-in-out, right .35s ease-in-out;
}

.sidebar {
  direction: ltr;
  /* max-width: 260px;
  min-width: 260px; */
}

.sidebar-nav {
  flex-grow: 1;
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;
}

.sidebar-item.active .sidebar-link:hover,
.sidebar-item.active>.sidebar-link {
  font-weight: bold;
}

.cursor-pointer {
  cursor: pointer;
}

.sidebar-link,
a.sidebar-link {
  border-left: 3px solid transparent;
  /* color: #544242; */
  cursor: pointer;
  display: block;
  font-weight: 400;
  padding: 0.3rem 1.5rem;
  position: relative;
  text-decoration: none;
  transition: background .1s ease-in-out;
}

.nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
  background: unset;
  color: #2E80E3;
  font-size: clamp(1rem, 0.7vw, 1rem);
  font-style: normal;
  font-weight: 600;
}

.image {
  display: block;
  width: 100%;
  height: auto;
}

.placeholderimage {
  display: block;
  width: 100%;
  height: auto;
  object-fit: scale-down;
}

.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .3s ease;
  background-color: white;
  border-radius: 4px
}

.overlay a {
  text-decoration: none !important;
  color: black !important
}

.book-popup-content {
  line-height: 1.8 !important;
}

.book-popup-content p {
  font-size: 6px;
  margin-bottom: unset !important
}

.book-popup-content .shrt-desc {
  font-size: 6px;
}

/* .book-popup:hover .overlay {
  opacity: 1;
  transform: translateX(0px) scale(2.7, 2.4);
  z-index: 9;
  box-shadow: 0px 7px 10px rgba(0, 0, 0, 0.5);

} */

.fa-user:hover {
  color: #eee;
}


.navbar-nav .nav-item {
  margin: 0 17px
}

.custom-dropdown {
  position: relative;
  display: inline-block;
}

/* Style for the select element */
.custom-dropdown select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #fff;
  cursor: pointer;
}




/* Style for the dropdown icon */
.custom-dropdown::after {
  content: '\25BC';
  /* Unicode character for down arrow */
  font-size: 14px;
  color: #555;
  position: absolute;
  top: 50%;
  right: 10px;
  transform: translateY(-50%);
}

.nav-active {
  font-weight: bold;
  border-bottom: ridge 2px;
  line-height: 1;
}

/* testimonial-section */

#testimonial {
  color: white
}

.testimonial-section {
  text-align: center;
}

.testimonial-section .btn-green {
  padding: 15px 75px;
}


.testimonial-section .owl-theme .owl-dots .owl-dot:focus {
  outline: 0;
}

.testimonial-section .owl-theme .owl-dots .owl-dot span {
  width: 40px;
  height: 4px;
  border-radius: 0;
  background: #cccccc;
}

.testimonial-section .owl-theme .owl-dots .owl-dot.active span,
.testimonial-section .owl-theme .owl-dots .owl-dot:hover span {
  background: #0f1f93;
}

.bg-color-blue {
  background: #1F4566 !important;
}

.loginsubmit:hover,
.loginsubmit,
.registersubmit,
.registersubmit:hover {
  background: #06336A;
}

.bg-color-light-blue {
  background: #DDECFF;
}

.bg-color-brown {
  background: #FEDA93
}

.rsi {
  min-height: 56px;
  max-height: 56px;
  min-width: 56px;
  max-width: 56px;
  object-fit: fill;
  border-radius: 5px;
  box-shadow: 2px 2px 5px 1px lightgrey;
}

.footer-icon-bg {
  padding: 3px;
  background: white;
  border-radius: 50%;
}

#results-dropdown {
  display: none;
  position: absolute;
  background: white;
  border: 1px solid #ccc;
  max-height: 200px;
  overflow-y: auto;
  width: 90%;
  /* Adjust the width as needed */
  z-index: 1;
}

.highlight {
  background-color: yellow;
  /* Set your desired highlight color */
  font-weight: bold;
  /* Set other styles as needed */
}

#search-results {
  list-style: none;
  padding: 0;
  margin: 0;
}

#search-results li {
  padding: 5px 10px;
  cursor: pointer;
}

#search-results li:hover {
  background-color: #f0f0f0;
}

#results-dropdown ul li.active {
  background-color: #007BFF;
  color: white;
}

footer {
  /* background-image: url("../image/footer/footer_line_image.png") !important;
  background:#1F4566;
  background-repeat: no-repeat;
  background-size: cover; */

  /* background-image:url("../image/footer/footer1.png") , 
    url("../image/footer/footer2.png")!important ; */
  background: #1F4566;
  background-position: left bottom, right top;
  background-repeat: no-repeat, no-repeat;
  background-size: 200px, 200px, auto
}

.search-book-img {
  /* min-width: 108px;
    max-width: 108px;
    max-height: 134px;
    min-height: 133px; */

  min-width: 155px;
  max-width: 155px;
  max-height: 199px;
  min-height: 199px;
}

.h35vh {
  height: 35vh;
}

.h46vh {
  height: 46vh;
}

.motive-side-img {

  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.motive-center-img {
  box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
}

.filter-search-box {
  width: 39%;
  border: 1px solid #efe8e8;
  border-radius: 5px;
  background: #f3f3f3;
  display: flex;
  padding: 0.6rem
}

.filter-input-search {
  appearance: none;
  flex-grow: 9;
  border: 0;
  outline: none;
  transition: all 0.5s ease;
  transform: scale(1);
  background: #f3f3f3;
  width: 100%
}

.responsive-grid {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(153px, 1fr));
  grid-gap: 24px;
}

.gradient-blue {
  background-image: linear-gradient(#235EA5, #15539E) !important;
}

.form-control {
  border-left: unset;
  /* border-radius:none !important; */
  /* border-top-left-radius: 5px;
    border-bottom-left-radius: 5px; */
}

.modal-header {
  border-bottom: unset;
  padding: 0.4rem 0.6rem;
}

.modal-footer {
  border-top: unset;
}

.btn-close {
  width: 0.6em;
  height: 0.6em;
}

.modal-header .btn-close {
  padding: 0.9rem 0.9rem;
}

.form-control:focus {
  border: 1px 1px 1px 0px solid #d1d1d1 !important;
  border-color: unset;
  box-shadow: unset;
}

/* star rating */
.rating-box {
  display: inline-block;
}

.rating-box .rating-container {
  direction: rtl !important;
}

.rating-box .rating-container label,
.favourite {
  display: inline-block;
  margin: 15px 0;
  color: #d4d4d4;
  cursor: pointer;
  /* font-size: 40px; */
  transition: color 0.2s;
  font-size: clamp(1.9rem, 2.5vw, 1.9rem);
}

.rating-box .rating-container input {
  display: none;
}

.rating-box .rating-container label:hover,
.rating-box .rating-container label:hover~label,
.rating-box .rating-container input:checked~label {
  color: gold;
}

/* star rating ends */


/* category slider start*/

.carousel-wrap {
  margin: 50px auto;
  padding: 0 5%;
  width: 100%;
  position: relative;
}

/* fix blank or flashing items on carousel */
.owl-carousel .item {
  position: relative;
  z-index: 100;
  -webkit-backface-visibility: hidden;
}

.owl-prev,
.owl-next {
  width: 15px;
  height: 100px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  display: block !important;
  border: 0px solid black;
}

.owl-prev {
  left: -20px;
}

.owl-next {
  right: -20px;
}

.owl-prev i,
.owl-next i {
  transform: scale(2, 3);
  color: #ccc;
}

.centering {
  text-align: -webkit-center;
}

/* category slider ends */


.responselectcategory {
  display: none;
}

@media screen and (max-width:991px) {
  .responselectcategory {
    display: block;
  }

}




.bg-color-blue {
  background: #1F4566;
}

.bg-color-light-blue {
  background: #DDECFF;
}

.gradient-blue-color {
  background-image: linear-gradient(#D2F4FF, #EBFAFF);
}

.bg-orange {
  border-radius: 2px;
  background: linear-gradient(180deg, #E78225 0%, #C9701E 100%);
  /* font-weight: 600; */
  border: solid 1px #E78225;
}

/* .bg-orange:hover{
  background:#81450d;
  color:white;
} */

.bg-red {
  background: #AF1818;
}

.bg-red:hover {
  background: #850d0d;
  color: white;
}

.navbar {
  padding: 0rem 1.375rem !important;
}


/* like button */
.heart {
  font-size: 25px;
  color: #aaa;
  font-size: clamp(1.3rem, 1.6vw, 1.3rem);
}

.heart-des {
  /* font-size: 25px; */
  color: red;
}



.favourite-lib {
  display: inline-block;
  margin: 4px 0;
  color: #d4d4d4;
  cursor: pointer;
  padding: 0px 3px;
  /* font-size: 12px; */
  transition: color 0.2s;
}

.fav-des-lib {
  /* font-size: 12px; */
  color: gold;
}

/* like button ends */

.fav-des {
  font-size: clamp(1.9rem, 2.5vw, 1.9rem);
  color: gold;
}



/* button color */
.bg-dark-green {
  border-radius: 2px;
  background: linear-gradient(180deg, #486C0D 0%, #263906 100%);
  /* font-weight: 600; */
}

.bg-dark-blue {
  border-radius: 2px;
  background: linear-gradient(180deg, #1F4566 0%, #1B5C95 100%);

}

/* .bg-dark-green:hover{
  background:#101801;
  color:white;
} */
/* button color end */

.share-dropdown {
  position: relative;
  display: inline-block;
}

.share-btn {
  color: white;
  border: none;
  cursor: pointer;
}

.dropdown-content {
  display: none;
  position: absolute;
  min-width: 327px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 1;
  background: white;
  border-radius: 12px;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #ddd;
}

/* .share-dropdown:hover .dropdown-content {
  display: block;
} */

.search-bar {
  display: none;
}


.search-bar .nav-search {
  padding: 1rem;
  display: flex;
}

.search-bar .nav-search input {
  width: 100%;
  -webkit-appearance: none;
  appearance: none;
  flex-grow: 9;
  border: 0;
  outline: none;
  transition: all 0.5s ease;
  transform: scale(1);
  background: #f3f3f3;
}

.book_owl-carousel .owl-next,
.categories_of_books_search .owl-next {
  width: 49px;
  height: 49px;
  border-radius: 32.5px 0px 0px 32.5px;
  background: rgba(0, 0, 0, 0.40) !important;
}

.book_owl-carousel .owl-prev,
.categories_of_books_search .owl-prev {
  width: 49px;
  height: 49px;
  border-radius: 0px 32.5px 32.5px 0px;
  background: rgba(0, 0, 0, 0.40) !important;
}

.book_owl-carousel .fa-angle-left,
.book_owl-carousel .fa-angle-right,
.categories_of_books_search .fa-angle-left,
.categories_of_books_search .fa-angle-right {
  font-size: 10px;
  color: white !important;
  -webkit-text-stroke: 0.5px white;

}

.nav-search {
  width: 100%;
  margin: auto;
  border: 1px solid #efe8e8;
  border-radius: 5px;
  background: #f3f3f3;
}

.input-group-text {
  background-color: #F5F5F5;
  border: unset;

}

.input-group input {
  background: #F5F5F5;
  border: unset;
}

.input-group {
  height: 3rem;
}

.inputborder {
  border: solid 1px #f1f1f1 !important;
}

hr {
  width: 100%;
  height: 2px;
  background-color: #000;
}

.profile-menu .dropdown-menu,
#mobile-view .dropdown-menu {
  right: 0;
  left: unset;
}

.dropdown-menu {
  border-radius: 0.9rem;
}

.profile-menu .fa-fw {
  margin-right: 10px;
}

.toggle-password {
  float: right;
  cursor: pointer;

  align-self: center;
  padding: 15px;
}

.border-bottom {
  border-bottom: 1px solid #d9d9d9 !important;
}

.border-end {
  border-right: 1px solid #d9d9d9 !important;
}

.modal-content {
  border-radius: 0.7rem;
}

.text-light-grey {
  color: #454545;
}

/* .modal-content {
  background-image: url("https://res.cloudinary.com/ddysmogx8/image/upload/v1690310033/GettyImages-1177482693_viqlun.webp");
  background-size: cover;
  border-radius: 10px;
  
}

.set-bg{
  background: #cbcbcbbf;
  border-radius: 10px;
} */

.fixed-top {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1046;
  box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
}

.body-scroll {
  padding: 45px 0 20px 0;
}

.c-p {
  padding: 45px 0 20px 0;
}

.nav-tabs {
  border-bottom: 2px solid #dee2e6;
}

.search-scroll {

  position: fixed;
  top: 63px;
  z-index: 9;
  width: 100%;
}

.profile-style {
  background: #f5f5f5;
  padding: 10px 5px;
  margin: 6px;
  /* color: white; */
  border-radius: 8px;
}

.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-link.active {
  /* color: rgb(255, 255, 255); */
  font-weight: bold;
  /* font-size: large; */
  border-bottom: 3px solid #1F4566;
  /* background: linear-gradient(180deg, #477BA8 0%, #1D476D 100%); */
  border-color: white white #1F4566 white;

}

/* Main Container */